'use strict';
var category = require('../services/categoryService.js');
const { body } = require('express-validator')


const { validationResult } = require('express-validator');

exports.addCategory = function(req, res){
 category.addCategory(req.headers.authorization,req.body,function(err, result){
    if (err)
      res.send(err);
      res.json(result);
  });
};

exports.editCategory = function(req, res){
 category.editCategory(req.headers.authorization,req.body,function(err, result){
    if (err)
      res.send(err);
      res.json(result);
  });
};

exports.listCategories = function(req, res){
 category.listCategories(req.headers.authorization,req.body,function(err, result){
    if (err)
      res.send(err);
      res.json(result);
  });
};

exports.getCategory = function(req, res){
 category.getCategory(req.headers.authorization,req.query.id,function(err, result){
    if (err)
      res.send(err);
      res.json(result);
  });
};

exports.deleteCategory = function(req, res){
 category.deleteCategory(req.headers.authorization,req.query.id,function(err, result){
    if (err)
      res.send(err);
      res.json(result);
  });
};