'use strict';
var account = require('../services/accountService.js');
const { body } = require('express-validator')


const { validationResult } = require('express-validator');

exports.addAccount = function(req, res){
 account.addAccount(req.headers.authorization,req.body,function(err, result){
    if (err)
      res.send(err);
      res.json(result);
  });
};

exports.editAccount = function(req, res){
 account.editAccount(req.headers.authorization,req.body,function(err, result){
    if (err)
      res.send(err);
      res.json(result);
  });
};

exports.listAccounts = function(req, res){
 account.listAccounts(req.headers.authorization,req.body,function(err, result){
    if (err)
      res.send(err);
      res.json(result);
  });
};

exports.getAccount = function(req, res){
 account.getAccount(req.headers.authorization,req.query.id,function(err, result){
    if (err)
      res.send(err);
      res.json(result);
  });
};

exports.deleteAccount = function(req, res){
 account.deleteAccount(req.headers.authorization,req.query.id,function(err, result){
    if (err)
      res.send(err);
      res.json(result);
  });
};